import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import vuescroll from "vuescroll";
import "vuescroll/dist/vuescroll.css";
import '../src/assets/styles/index.scss'
import Vue from 'vue'
import App from './App.vue'
import '../src/request/index'
import VueRouter from "vue-router";
import routers from "@/routers"
import store from './store/index'
Vue.config.productionTip = false
Vue.use(vuescroll)
Vue.use(ElementUI);
Vue.use(VueRouter);
import 'echarts-liquidfill'
const origionalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location){
  return origionalPush.call(this,location).catch(err=>err)
}
const router = new VueRouter({
  mode:'hash',
  routes:routers
})
new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app')
